<?php

/**
Plugin Name: Calendarize It! Next Upcoming Meta
Plugin URI: http://plugins.righthere.com/calendarize-it/
Description: Provides next upcoming date meta for the custom fields, and provides the [rhc_next_upcoming_dates] for calendarized posts.
Version: 1.0.5.81391
Author: (RightHere LLC)
Author URI: http://plugins.righthere.com
 **/

if( !defined('RHCCD_PATH') ): //this plugin is included with the countdown addon.
 
	if(defined('RHCNUP_PATH')) throw new Exception( __('A duplicate of this addon/plugin is already active.','rhc') );
 
	if(defined('RHC_ADDON_PATH')){
		define('RHCNUP_PATH', trailingslashit(RHC_ADDON_PATH . dirname($addon)) ); 
		define("RHCNUP_URL", trailingslashit(RHC_ADDON_URL . dirname($addon)) );
	}else{
		define('RHCNUP_PATH', plugin_dir_path(__FILE__) ); 
		define("RHCNUP_URL", plugin_dir_url(__FILE__) );
	}  

	global $rhc_plugin; 
	if( RHC_VERSION<'3.2.1' || 0!==intval($rhc_plugin->get_option('original_ajax_enable',0,true)) ){
		require_once RHCNUP_PATH.'includes/class.plugin_rhc_next_upcoming.pre321.php';
	}else{
		require_once RHCNUP_PATH.'includes/class.plugin_rhc_next_upcoming.php';
	}
	new plugin_rhc_next_upcoming();

endif;
?>